import React from "react";
import { useGetAllTag } from "../../../api/tags";
import DataTable from "../../../Layout/Dashboard/Table/DataTable";
import { useColumns } from "./useTableColumns";
import useSearchQuery from "../../../api/utils/useSearchQuery";
import { useGetAllUser } from "../../../api/user";
import { useGetAllStudentPackage } from "../../../api/studentPackage";
import { useFilterState } from "../../../Components/Utils/Filter/FilterState";
const App: React.FC = () => {
  const [searchQuery] = useSearchQuery("name");
  const { filterState } = useFilterState();

  const response = useGetAllStudentPackage({
    name: searchQuery,
    pagination: true,
    ...filterState,
  });

  return <DataTable response={response} useColumns={useColumns} />;
};

export default App;
